import { HTMLAttributes, Ref } from 'vue';
import { Base as BasePlot, PlotConfig, ViewLayer } from '@antv/g2plot';
interface Plot<C extends PlotConfig> {
    new (container: HTMLElement, config: C): BasePlot<C, ViewLayer<C>>;
}
declare type PickedAttrs = 'class' | 'style';
export interface BaseChartProps<C extends PlotConfig> extends Pick<HTMLAttributes, PickedAttrs> {
    chart: Plot<C>;
    chartRef?: Ref<BasePlot<C, ViewLayer<C>> | null>;
}
interface ChartOptions {
    data: any[];
    config: any;
}
export interface BaseChartRawBindings<C extends PlotConfig> {
    plot: BasePlot<C, ViewLayer<C>>;
    config: C;
    data: any[];
    getChartConfig: () => ChartOptions;
}
declare const BaseChart: {
    new (...args: any[]): import("vue").ComponentPublicInstance<BaseChartProps<any>, BaseChartRawBindings<any>, {}, {}, {}, Record<string, any>, import("vue").VNodeProps & BaseChartProps<any> & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, import("vue").ComponentOptionsBase<BaseChartProps<any>, BaseChartRawBindings<any>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string>>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<BaseChartProps<any>, BaseChartRawBindings<any>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string> & {
    props?: undefined;
} & ThisType<import("vue").ComponentPublicInstance<{}, BaseChartRawBindings<any>, {}, {}, {}, Record<string, any>, Readonly<BaseChartProps<any>>, import("vue").ComponentOptionsBase<{}, BaseChartRawBindings<any>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string>>>;
export default BaseChart;
